Subject: Re: linux-next: manual merge of the aio-direct tree with the vfs tree

From: Al Viro <[email-masked]>
Date: Mon, 11 Nov 2013 03:20:52 +0000

On Mon, Nov 11, 2013 at 12:53:28PM +1100, Stephen Rothwell wrote:
> Hi Dave,
> 
> Today's linux-next merge of the aio-direct tree got a conflict in
> drivers/mtd/nand/nandsim.c between commit 72c2d5319200 ("file->f_op is
> never NULL...") from the vfs tree and commit dd458300240b ("fs: create
> file_readable() and file_writable() functions") from the aio-direct tree.
> 
> I fixed it up (I just used the aio-direct tree version) and can carry the
> fix as necessary (no action is required).

Hrm...  Pity that this thing sits in the middle of aio-direct; it would
make more sense to take it in vfs.git ;-/  There are several more places
where we get the conflicts of the same sort.

FWIW, I have two nitpicks with these helpers:
	a) checks for NULL argument do not belong there
	b) please, please, do not breed more instances of that stupid
'filp' thing; AFAICS, it's an example of really bad taste on part of
AST - it stands for 'file pointer' and yes, it's a minixism.  Linus has
used that naming convention in 0.01 and it spread when people copied
stuff.  There's a perfectly good identifier - 'file'...